Bug 197346

Summary: [GTK] Mouse pointer no longer hidden during fullscreen video playback
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: MediaAssignee: Enrique Ocaña <eocanha>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, aperez, berto, bugs-noreply, cgarcia, commit-queue, eocanha, ews-watchlist, gns, gyuyoung.kim, mcatanzaro, ryuan.choi, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch none

Description Michael Catanzaro 2019-04-27 15:13:58 PDT
The mouse pointer is supposed to be hidden after a few seconds of fullscreen video playback when it is not being moved around. This is no longer working properly.
Comment 1 Michael Catanzaro 2019-06-24 11:43:45 PDT
Strangely, the pointer actually does disappear, but only when moved to the edge of the screen. I'm not sure why that happens, but it's not enough.

This is a recent-ish regression. I'm pretty sure it worked last year.
Comment 2 Enrique Ocaña 2020-02-07 09:35:13 PST
Created attachment 390090 [details]
Patch
Comment 3 EWS Watchlist 2020-02-07 09:36:27 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 4 Michael Catanzaro 2020-02-07 11:31:36 PST
Comment on attachment 390090 [details]
Patch

My hero!
Comment 5 WebKit Commit Bot 2020-02-10 02:13:45 PST
Comment on attachment 390090 [details]
Patch

Clearing flags on attachment: 390090

Committed r256113: <https://trac.webkit.org/changeset/256113>
Comment 6 WebKit Commit Bot 2020-02-10 02:13:47 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2020-02-10 02:14:17 PST
<rdar://problem/59305111>